package git_test

import (
	"context"
	"testing"

	"git.ar21.de/yolokube/grafana-backuper/pkg/git"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
)

func TestNewProject(t *testing.T) {
	project := git.NewProject("https://example.com/repo.git")
	assert.NotNil(t, project)
	assert.Equal(t, "https://example.com/repo.git", project.RepoURL)
}

func TestProject_Clone(t *testing.T) {
	// Create a Project instance and clone the repository
	project := git.NewProject("https://example.com/repo.git")
	err := project.Clone(context.Background())
	require.NoError(t, err)
}

func TestProject_Checkout(t *testing.T) {
	project := git.NewProject("https://example.com/repo.git")
	err := project.Clone(context.Background())
	require.NoError(t, err)

	project.Branch = "test-branch"

	err = project.Checkout()
	require.NoError(t, err)
}
